SDL_NOLONGLONG(3)

NAME
SDL_NOLONGLONG - Don't let SDL use "long long" C types.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

#define SDL_NOLONGLONG 1

DESCRIPTION
SDL will define this if it believes the compiler doesn't understand the "long long" syntax for C datatypes. This can happen on older compilers.

If _your_ compiler doesn't support "long long" but SDL doesn't know it, it is safe to define this yourself to build against the SDL headers.

If this is defined, it will remove access to some C runtime support functions, like SDL_ulltoa and SDL_strtoll that refer to this datatype explicitly. The rest of SDL will still be available.

SDL's own source code cannot be built with a compiler that has this defined, for various technical reasons.